Package pygccxml :: Package declarations :: Module cpptypes :: Class member_variable_type_t

# type member_variable_type_t

source code

    object --+
             |
        type_t --+
                 |
        compound_t --+
                     |
                    member_variable_type_t

describes member variable type

Instance Methods

__init__(self, class_inst=None, variable_type=None) | source code

build_decl_string(self, with_defaults=True) | source code

Inherited from `type_t`: `__eq__`, `__lt__`, `__ne__`, `__str__`, `clone`

Class Variables
| NAME_TEMPLATE = ``'``%(type)s ( %(class)s::* )``'``

Properties
| variable_type describes member variable type
Inherited from `compound_t`: `base` Inherited from `type_t`: `byte_align`, `byte_size`, `decl_string`, `partial_decl_string`

Method Details

### __init__(self, class_inst=None, variable_type=None)
(Constructor)

source code

Overrides: type_t.__init__

### build_decl_string(self, with_defaults=True)

source code

Overrides: type_t.build_decl_string

Property Details

### variable_type

describes member variable type

Get Method:
  _get_variable_type(self)
Set Method:
  _set_variable_type(self, new_type)